/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-09-19 08:36:54
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-09-19 10:10:58
 * @FilePath: /ems3.3/config/proxy.js
 * @Description:
 *
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved.
 */
/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
import defaultSetting from './defaultSettings';
let rewrite = `^${defaultSetting.proxypath}`;

export default {
  dev: {
    [defaultSetting.proxypath]: {
      // 要代理的地址
      target: 'http://192.168.40.110:8000', //jf哥
      // target: 'http://192.168.40.248:8080', //jf哥
      // target: 'http://192.168.40.64:28000', //gc哥
      // target: 'http://192.168.40.203:8000', //dj哥
      // target: 'http://192.168.40.35:8001', //测试
      changeOrigin: true,
    },
    '/token': {
      // 要代理的地址
      target: 'http://192.168.40.110:8000',
      changeOrigin: true,
    },
    '/staticfile/': {
      target: 'http://192.168.40.68:9088/',
      changeOrigin: true,
      pathRewrite: {
        '^/staticfile': '',
      },
    },
  },
  test: {
    '/api/': {
      target: 'https://proapi.azurewebsites.net',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
  },
  pre: {
    '/api/': {
      target: 'your pre url',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
  },
};
